// ********************************
// init.js Script
// ********************************

// * * * System Includes
EvaluateSystemScript("audio.js");
EvaluateSystemScript("screen.js");
// EvaluateSystemScript("fademessage.js"); - JUST TOO DARN BUGGY!

// * * * Custom Includes
EvaluateScript("fademessage_jonboy.js"); 
EvaluateScript("motion.js");
EvaluateScript("dialog.js");

// * * * Custom Map Includes
EvaluateScript("map_smallyard.js");

// * * * Global variables
var myLog;
ScoreFont = LoadFont("system.rfn");
  ScoreFont.setColorMask(CreateColor(0,0,0,255));
var MarioLives = 2;
var MarioScore = 0;

// FIRST FUNCTION called by game - put calls to init routines here!
function game(){
  NewGame();
}

// This doesn't work...anyone know why...please email me!
function xrenderx() {
  ScoreFont.drawText(24,24,"Score: " + MarioScore + "   Lives: " + MarioLives);  
}

// Attach sprite set to player
function NewGame(){
  // Splash screen
  IntroImage("mariosplash02.png");
  
  // Keep player from IMMEDIATELY escaping with ESC key
  BindKey(KEY_ESCAPE, 'ExitMapEngine()', 'DoNull()');
  
  // Set up debug log
  myLog = OpenLog("debug.log");

  // Set up player and map
  var CharName = "PCMario1";
  CreatePerson(CharName, "mario.rss", false);
  SetRenderScript("xrenderx();");
  AttachInput(CharName);
  AttachCamera(CharName);
  MapEngine("smallyard.rmp", 60); 

  // Clean up and close out
  AuthorSplash();
  UnbindKey(KEY_ESCAPE);
  
}

// Quick credit and contact info
function AuthorSplash(){ 
	PlaySound("giggle.wav");
	Hint = new Array();
	Hint[0] = "Please contact the author";
	Hint[1] = "at jonboy@stdnet.com";
	Hint[2] = "if you have any questions!";
	Hint[3] = " ";
	CloudSplash(Hint);
} 
